use std::env;
use std::io::{self, Write};
use std::process;

fn main() {
    let rustflags = env::var_os("CARGO_ENCODED_RUSTFLAGS").unwrap_or_default();
    let _ = write!(io::stderr(), "CARGO_ENCODED_RUSTFLAGS=");
    for (i, flag) in rustflags.to_string_lossy().split("\x1f").enumerate() {
        if i > 0 {
            let _ = write!(io::stderr(), " ");
        }
        let _ = write!(io::stderr(), "{:?}", flag);
    }
    let _ = writeln!(io::stderr());
    process::exit(1);
}
